<?php
/**
 * The template for displaying 404 pages (Not Found)
 */
$dan_redux_demo = get_option('redux_demo');
get_header('page'); ?> 

<?php if(isset($dan_redux_demo['404_banner']['url']) && $dan_redux_demo['404_banner']['url'] != ''){?>
    <section class="ready banner-padding bg-img" data-overlay-dark="8" data-background="<?php echo esc_url($dan_redux_demo['404_banner']['url']);?>">
<?php }else{?>
    <section class="ready banner-padding bg-img" data-overlay-dark="8" data-background="<?php echo get_template_directory_uri();?>/assets/img/blog-banner.jpg">
<?php } ?>
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="text-left">
                    <div class="title animate-box" data-animate-effect="fadeInUp"> 
                        <span><a><?php if(isset($dan_redux_demo['404_meta']) && $dan_redux_demo['404_meta'] != ''){?>
                            <?php echo htmlspecialchars_decode(esc_attr($dan_redux_demo['404_meta']));?>
                        <?php }else{?>
                            <?php echo esc_html__( 'Error', 'dan' );
                        }
                        ?></a></span>
                        <h2><?php if(isset($dan_redux_demo['404_heading']) && $dan_redux_demo['404_heading'] != ''){?>
                            <?php echo htmlspecialchars_decode(esc_attr($dan_redux_demo['404_heading']));?>
                        <?php }else{?>
                            <?php echo esc_html__( '404 Error', 'dan' );
                        }
                        ?></h2>
                        <hr class="line line-hr-secondary animate-box" data-animate-effect="fadeInUp"> 
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<hr class="line-vr-section animate-box" data-animate-effect="fadeInUp">
<!-- Blog Content & Sidebar -->
<section id="404" class="page-404 section-padding">
    <div class="container">
        <div class="row">
            <div class="col-md-12 error-content">
                <h1><?php if(isset($dan_redux_demo['404_title']) && $dan_redux_demo['404_title'] != ''){?>
                    <?php echo htmlspecialchars_decode(esc_attr($dan_redux_demo['404_title']));?>
                <?php }else{?>
                    <?php echo esc_html__( '404', 'dan' );
                }?></h1>
                <h2><?php if(isset($dan_redux_demo['404_subtitle']) && $dan_redux_demo['404_subtitle'] != ''){?>
                    <?php echo htmlspecialchars_decode(esc_attr($dan_redux_demo['404_subtitle']));?>
                <?php }else{?>
                    <?php echo esc_html__( 'Oops! That page can’t be found', 'dan' );
                }?></h2>
                <div class="text"><?php if(isset($dan_redux_demo['404_text']) && $dan_redux_demo['404_text'] != ''){?>
                    <?php echo htmlspecialchars_decode(esc_attr($dan_redux_demo['404_text']));?>
                <?php }else{?>
                    <?php echo esc_html__( 'Sorry, but the page you are looking for does not existing', 'dan' );
                }?></div>
                <a href="<?php echo esc_url(home_url('/')) ?>" class="btn btn-404"><span class="txt"><?php if(isset($dan_redux_demo['404_button']) && $dan_redux_demo['404_button'] != ''){?>
                    <?php echo htmlspecialchars_decode(esc_attr($dan_redux_demo['404_button']));?>
                <?php }else{?>
                    <?php echo esc_html__( 'Go to home page', 'dan' );
                }?></span></a>
            </div>
        </div>
    </div>
</section>

<?php get_footer(); ?>