<?php $dan_redux_demo = get_option('redux_demo'); ?>

<hr class="line-vr-section">
    <!-- Footer -->
    <footer class="footer-section">
        <div class="container">
            <div class="row">
                <div class="col-md-4">
                    <?php if ( is_active_sidebar( 'footer-widget-1' ) ) : ?>
                    <?php dynamic_sidebar( 'footer-widget-1' ); ?>
                <?php endif; ?>
                </div>
                <div class="col-md-4 offset-md-1">
                    <?php if ( is_active_sidebar( 'footer-widget-2' ) ) : ?>
                    <?php dynamic_sidebar( 'footer-widget-2' ); ?>
                <?php endif; ?>
                </div>
                <div class="col-md-3">
                    <?php if ( is_active_sidebar( 'footer-widget-3' ) ) : ?>
                    <?php dynamic_sidebar( 'footer-widget-3' ); ?>
                <?php endif; ?>
                </div>
            </div>
        </div>
        <div class="sub-footer">
            <div class="container">
                <div class="row">
                    <div class="col-md-8">
                        <div class="text-left">
                            <?php if(isset($dan_redux_demo['footer_copyright']) && $dan_redux_demo['footer_copyright'] != ''){?>
                            <p><?php echo htmlspecialchars_decode(esc_attr($dan_redux_demo['footer_copyright']));?></p>
                            <?php }else{?>
                            <p><?php echo esc_html__( '© 2021 Dan Halsman. All right reserved.', 'dan' )?></p>
                            <?php } ?>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="text-right-left">
                            <p><?php if(($dan_redux_demo['term_link'] != '') && ($dan_redux_demo['privacy_policy_link'] != '')){?>
                                <a href="<?php echo esc_url($dan_redux_demo['term_link']);?>"><?php echo htmlspecialchars_decode(esc_attr($dan_redux_demo['term_of_use']));?></a> <span>|</span> <a href="<?php echo esc_url($dan_redux_demo['term_link']);?>"><?php echo htmlspecialchars_decode(esc_attr($dan_redux_demo['privacy_policy']));?></a></p>
                                <?php } ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </footer>

<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>