<!DOCTYPE html>

<html <?php language_attributes(); ?>>

<?php $dan_redux_demo = get_option('redux_demo'); ?>

<head>

    <!-- Meta Tags -->

    <meta charset="<?php bloginfo( 'charset' ); ?>">

    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {?>

        <?php if(isset($dan_redux_demo['favicon']['url'])){?>

            <link rel="shortcut icon" href="<?php echo esc_url($dan_redux_demo['favicon']['url']); ?>">

        <?php } ?>

    <?php } ?>

    <?php wp_head(); ?> 


</head>

<body <?php body_class(); ?>>

    <div id="loader">
        <div class="loading">
            <div></div>
        </div>
    </div>
    <!-- Progress scroll totop -->
    <div class="progress-wrap cursor-pointer">
        <svg class="progress-circle svg-content" width="100%" height="100%" viewBox="-1 -1 102 102">
            <path d="M50,1 a49,49 0 0,1 0,98 a49,49 0 0,1 0,-98" />
        </svg>
    </div>
    <!-- Navbar and Logo -->
    <nav class="navbar navbar-expand-lg">
        <div class="container">
            <!-- Logo -->
            <?php if(isset($dan_redux_demo['logo_light']['url']) && $dan_redux_demo['logo_light']['url'] != ''){?>
            <a class="logo" href="<?php echo esc_url(home_url('/')); ?>"> <img src="<?php echo esc_url($dan_redux_demo['logo_light']['url']);?>" alt=""> </a>
            <?php }else{?>
            <a class="logo" href="<?php echo esc_url(home_url('/')); ?>"> <img src="<?php echo get_template_directory_uri();?>/assets/img/logo-light.png" alt=""> </a>
            <?php } ?>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation"> <span class="icon-bar"><i class="ti-line-double"></i></span> </button>
            <!-- Navbar links -->
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <?php 
            wp_nav_menu( 
                array( 
                    'theme_location' => 'personal',
                    'container' => '',
                    'menu_class' => '', 
                    'menu_id' => '',
                    'menu'            => '',
                    'container_class' => '',
                    'container_id'    => '',
                    'echo'            => true,
                    'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                    'walker'            => new dan_wp_bootstrap_navwalker(),
                    'before'          => '',
                    'after'           => '',
                    'link_before'     => '',
                    'link_after'      => '',
                    'items_wrap'      => '<ul class=" navbar-nav ml-auto %2$s">%3$s</ul>',
                    'depth'           => 0,        
                )
            ); ?>
            </div>
        </div>
    </nav>
	<script>
    jQuery( document ).ready(function() {
		var wind = $(window);
		wind.on("scroll", function () {
			var bodyScroll = wind.scrollTop()
				, navbar = $(".navbar")
				, logo = $(".navbar .logo> img");
			if (bodyScroll > 100) {
				navbar.addClass("nav-scroll");
				logo.attr('src', '<?php echo esc_url($dan_redux_demo['logo_dark']['url']); ?>');
			}
			else {
				navbar.removeClass("nav-scroll");
				logo.attr('src', '<?php echo esc_url($dan_redux_demo['logo_light']['url']); ?>');
			}
		});
    });
</script>