<?php
/*
 * The Template for displaying all posts
 * 
 */
$dan_redux_demo = get_option('redux_demo');
get_header('page'); ?>

<?php if(isset($dan_redux_demo['blog_banner']['url']) && $dan_redux_demo['blog_banner']['url'] != ''){?>
    <section class="ready banner-padding bg-img" data-overlay-dark="7" data-background="<?php echo esc_url($dan_redux_demo['blog_banner']['url']);?>">
<?php }else{?>
    <section class="ready banner-padding bg-img" data-overlay-dark="7" data-background="<?php echo get_template_directory_uri();?>/assets/img/blog-banner.jpg">
<?php } ?>
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="text-left">
                    <div class="title animate-box" data-animate-effect="fadeInUp"> 
                        <span><a><?php if(isset($dan_redux_demo['blog_meta']) && $dan_redux_demo['blog_meta'] != ''){?>
                            <?php echo htmlspecialchars_decode(esc_attr($dan_redux_demo['blog_meta']));?>
                        <?php }else{?>
                            <?php echo esc_html__( 'Blog', 'dan' );
                        }
                        ?></a></span>
                        <h2><?php if(isset($dan_redux_demo['blog_title']) && $dan_redux_demo['blog_title'] != ''){?>
                            <?php echo htmlspecialchars_decode(esc_attr($dan_redux_demo['blog_title']));?>
                        <?php }else{?>
                            <?php echo esc_html__( 'Latest News', 'dan' );
                        }
                        ?></h2>
                        <hr class="line line-hr-secondary animate-box" data-animate-effect="fadeInUp"> 
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<hr class="line-vr-section animate-box" data-animate-effect="fadeInUp">
<!-- Blog Content & Sidebar -->
<section id="blog" class="blog-page section-padding">
    <div class="container">
        <div class="row">
            <div class="col-md-8">
                <div class="row">
                    <?php
                    while (have_posts()): the_post();
                    $single_meta = get_post_meta(get_the_ID(),'_cmb_single_meta', true);
                        ?>
                        <div class="col-md-12">
                            <div class="item">
                                <div class="post-img img-grayscale">
                                    <a href="<?php the_permalink();?>"> <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt=""> </a>
                                </div>
                                <div class="post-cont"> <span class="tag"><?php the_author_posts_link(); ?></span> — <span class="date"><?php the_time(get_option( 'date_format' ));?></span>
                                    <h5>
                                        <a href="<?php the_permalink();?>"><?php the_title();?></a>
                                    </h5>
                                    <p><?php if(isset($dan_redux_demo['blog_excerpt'])){?>
                                        <?php echo esc_attr(dan_excerpt($dan_redux_demo['blog_excerpt'])); ?>
                                    <?php }else{?>
                                        <?php echo esc_attr(dan_excerpt(50)); 
                                    }
                                    ?></p>
                                    <div class="info"><?php echo esc_html__( 'Read more', 'dan' )?></div>
                                </div>
                            </div>
                        </div>
                    <?php endwhile; ?>
                </div>
                <div class="row">
                    <div class="col-md-12 text-center">
                        <!-- Pagination -->
                        <?php dan_pagination();?>
                    </div>
                </div>
            </div>
            <!-- Sidebar -->
            <div class="col-md-4">
                <div class="blog-sidebar row">
                    <?php get_sidebar();?>
                </div>
            </div>
        </div>
    </div>
</section>

<?php
get_footer();
?>