<?php
/**
 * The Template for displaying all single posts
 */
$dan_redux_demo = get_option('redux_demo');
get_header(); ?>

<?php 
while (have_posts()): the_post();
    $single_meta = get_post_meta(get_the_ID(),'_cmb_single_meta', true);
    ?>

<?php if(isset($dan_redux_demo['blog_posts_banner']['url']) && $dan_redux_demo['blog_posts_banner']['url'] != ''){?>
    <section class="ready banner-padding bg-img" data-overlay-dark="8" data-background="<?php echo esc_url($dan_redux_demo['blog_posts_banner']['url']);?>">
<?php }else{?>
    <section class="ready banner-padding bg-img" data-overlay-dark="8" data-background="<?php echo get_template_directory_uri();?>/assets/img/post-banner.jpg">
<?php } ?>
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="text-left">
                    <div class="title animate-box" data-animate-effect="fadeInUp"> 
                       <span><a><?php if(isset($dan_redux_demo['blog_posts_meta']) && $dan_redux_demo['blog_posts_meta'] != ''){?>
                        <?php echo htmlspecialchars_decode(esc_attr($dan_redux_demo['blog_posts_meta']));?>
                    <?php }else{?>
                        <?php echo esc_html__( 'Blog', 'dan' );
                    }
                    ?></a></span>
                    <h2><?php if(isset($dan_redux_demo['blog_posts_title']) && $dan_redux_demo['blog_posts_title'] != ''){?>
                        <?php echo htmlspecialchars_decode(esc_attr($dan_redux_demo['blog_posts_title']));?>
                    <?php }else{?>
                        <?php echo esc_html__( 'Post Page', 'dan' );
                    }
                    ?></h2>
                    <hr class="line line-hr-secondary animate-box" data-animate-effect="fadeInUp"> </div>
                </div>
            </div>
        </div>
    </div>
</section>
<hr class="line-vr-section animate-box" data-animate-effect="fadeInUp">
<!-- Post Content -->
<section class="section-padding post-page">
    <div class="container">
        <div class="row">
            <div class="col-md-10 offset-md-1 mb-30">
                <?php if (has_post_thumbnail()) { ?>
                    <div class="img-grayscale"> <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" class="img-fluid mb-30" alt=""></div>
                <?php } ?>
                <div class="post-cont"> <span class="tag"><?php echo esc_attr($single_meta); ?></span> — <span class="date"><?php the_time(get_option( 'date_format' ));?></span>
                    <h5><?php the_title();?></h5>
                    <?php the_content(); ?>
                    <?php wp_link_pages(); ?>
                </div>
            </div>
        </div>
        <!-- Comments -->
        <?php comments_template();?>
    </div>
</section>

<?php endwhile; ?>
<?php
get_footer();
?>