<?php

/**

 * The Template for displaying all single posts

 */

$dan_redux_demo = get_option('redux_demo');

get_header('page'); ?>



<?php 

while (have_posts()): the_post();

    $postid = get_the_ID();

    $service_meta = get_post_meta(get_the_ID(),'_cmb_service_meta', true);

    ?>

<?php if(isset($dan_redux_demo['service_banner']['url']) && $dan_redux_demo['service_banner']['url'] != ''){?>
<section class="ready banner-padding bg-img" data-overlay-dark="7" data-background="<?php echo esc_url($dan_redux_demo['service_banner']['url']);?>">
<?php }else{?>
<section class="ready banner-padding bg-img" data-overlay-dark="7" data-background="<?php echo get_template_directory_uri();?>/assets/img/services-banner.jpg">
<?php } ?>
        <div class="container">
            <div class="row">
                <div class="col-md-12 mt-30 text-center">
                    <div class="title"> <span><a href="<?php echo esc_url(home_url('/')); ?>#services"><?php if(isset($dan_redux_demo['service_meta']) && $dan_redux_demo['service_meta'] != ''){?>

                                <?php echo htmlspecialchars_decode(esc_attr($dan_redux_demo['service_meta']));?>

                            <?php }else{?>

                                <?php echo esc_html__( 'Services', 'dan' );

                            }

                            ?></a></span>
                        <h2><?php the_title();?></h2>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- hr line -->
    <hr class="line-vr-section">
    <!-- Services Page -->
    <section class="services-page section-padding">
        <div class="container">
            <div class="row">
                <!-- Content -->
                <div class="col-md-8">
                    <!-- Images -->
                    <div class="row">
                        <div class="col-md-12 gallery-item">
                            <div class="owl-carousel owl-theme text-center">
                                <?php $gallery = get_post_gallery( get_the_ID(), false );

                                if(isset($gallery['ids'])){    

                                    $gallery_ids = $gallery['ids'];

                                    $img_ids = explode(",",$gallery_ids);

                                    $i=0; $j=0;?>

                                    <?php   

                                    foreach( $img_ids AS $img_id ){ 

                                        $image_src = wp_get_attachment_image_src($img_id,'');

                                        ?>
                                    <div class="item">
                                        <div class="gallery-item-inner">
                                            <a href="<?php echo esc_url($image_src[0]); ?>" title="" class="img-grayscale img-zoom">
                                                <div class="gallery-box">
                                                    <div class="gallery-img"> <img src="<?php echo esc_url($image_src[0]); ?>" class="img-fluid mx-auto d-block" alt=""> </div>
                                                </div>
                                            </a>
                                        </div>
                                    </div>
                                 <?php } } ?>
                            </div>
                        </div>
                    </div>
                    <!-- Text -->
                    <div class="row">
                        <div class="col-md-12 mb-30">
                            <?php the_content(); ?>
                            <?php wp_link_pages(); ?>
                        </div>
                    </div>
                    <!-- FAQs -->
                    <div class="row">
                        <div class="col-md-12">
                            <h5>Frequently Asked Questions</h5>
                        </div>
                        <div class="col-md-12 faqs-accordion mb-30">
                            <div class="accordion">
                                <div class="item">
                                    <div class="title">Can we meet you before we book?</div>
                                    <div class="accordion-info active" style="display: none;">
                                        <p>Mauris porttitor magna vel ante luctus convallis. Nunc at tellus erat. Donec et magna lectus. Aliquam egestas vel arcu id maximus. Orci varius natoque penatibus et magnis.</p>
                                    </div>
                                </div>
                                <div class="item">
                                    <div class="title">How will our pictures be delivered?</div>
                                    <div class="accordion-info" style="display: none;">
                                        <p>Mauris porttitor magna vel ante luctus convallis. Nunc at tellus erat. Donec et magna lectus. Aliquam egestas vel arcu id maximus. Orci varius natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent sollicitudin feugiat elementum.</p>
                                    </div>
                                </div>
                                <div class="item">
                                    <div class="title">Can we add on hours if our photo shoot runs a little long?</div>
                                    <div class="accordion-info" style="display: none;">
                                        <p>Mauris porttitor magna vel ante luctus convallis. Nunc at tellus erat. Donec et magna lectus. Aliquam egestas vel arcu id maximus. Orci varius natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent sollicitudin feugiat elementum.</p>
                                    </div>
                                </div>
                                <div class="item">
                                    <div class="title">Do you help in the planning process?</div>
                                    <div class="accordion-info" style="display: none;">
                                        <p>Mauris porttitor magna vel ante luctus convallis. Nunc at tellus erat. Donec et magna lectus. Aliquam egestas vel arcu id maximus. Orci varius natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent sollicitudin feugiat elementum.</p>
                                    </div>
                                </div>
                                <div class="item">
                                    <div class="title">How many images do you deliver?</div>
                                    <div class="accordion-info" style="display: none;">
                                        <p>Mauris porttitor magna vel ante luctus convallis. Nunc at tellus erat. Donec et magna lectus. Aliquam egestas vel arcu id maximus. Orci varius natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent sollicitudin feugiat elementum.</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Sidebar Menu -->
                <div class="col-md-4 sidebar-side">
                    <aside class="sidebar blog-sidebar">
                        <?php get_sidebar('services');?>
                    </aside>
                </div>
            </div>
        </div>
    </section>
    <hr class="line-vr-section">
    <!-- Pricing -->
    <section id="pricing" class="section-padding bg-grey" data-scroll-index="4">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="title mb-30"> <span><?php echo esc_attr($service_meta); ?></span>
                        <h2>Pricing Tables</h2>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <div class="price-box">
                        <div class="price-box-inner img-grayscale" style="background-image: url(<?php echo get_template_directory_uri();?>/assets/img/price/3.jpg)">
                            <ul>
                                <li class="pricing-title">
                                    <h3 class="pricing-pt-title">Standart</h3>
                                </li>
                                <li class="pricing-prices"> <sup class="pricing-dolar">$</sup> <span class="pricing-price" style="color: #ffffff">300</span> </li>
                                <li class="pricing-content">
                                    <ul>
                                        <li>3 Hours Session</li>
                                        <li>Photo Editing</li>
                                        <li>50 Digital Images</li>
                                        <li>Online Gallery</li>
                                    </ul>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="price-box">
                        <div class="price-box-inner" style="background-image: url(<?php echo get_template_directory_uri();?>/assets/img/price/2.jpg)">
                            <ul>
                                <li class="pricing-title">
                                    <h3 class="pricing-pt-title">Premium</h3>
                                </li>
                                <li class="pricing-prices"> <sup class="pricing-dolar">$</sup> <span class="pricing-price" style="color: #ffffff">450</span> </li>
                                <li class="pricing-content">
                                    <ul>
                                        <li>6 Hours Session</li>
                                        <li>Photo Editing</li>
                                        <li>100 Digital Images</li>
                                        <li>Online Gallery</li>
                                    </ul>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="price-box">
                        <div class="price-box-inner" style="background-image: url(<?php echo get_template_directory_uri();?>/assets/img/price/3.jpg)">
                            <ul>
                                <li class="pricing-title">
                                    <h3 class="pricing-pt-title">Platinum</h3>
                                </li>
                                <li class="pricing-prices"> <sup class="pricing-dolar">$</sup> <span class="pricing-price" style="color: #ffffff">750</span> </li>
                                <li class="pricing-content">
                                    <ul>
                                        <li>12 Hours Session</li>
                                        <li>Photo Editing</li>
                                        <li>250 Digital Images</li>
                                        <li>Online Gallery</li>
                                    </ul>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

<?php endwhile; ?>

<?php

get_footer();

?>