<?php

/**

 * The Template for displaying all single posts

 */

$dan_redux_demo = get_option('redux_demo');

get_header('page'); ?>

<?php 

while (have_posts()): the_post();
$team_job = get_post_meta(get_the_ID(),'_cmb_team_job', true);
$team_history = get_post_meta(get_the_ID(),'_cmb_team_history', true);
$facebook_link = get_post_meta(get_the_ID(),'_cmb_facebook_link', true);
$twitter_link = get_post_meta(get_the_ID(),'_cmb_twitter_link', true);
$linkedin_link = get_post_meta(get_the_ID(),'_cmb_linkedin_link', true);
$pinterest_link = get_post_meta(get_the_ID(),'_cmb_pinterest_link', true);
    ?>

<?php if(isset($dan_redux_demo['team_banner']['url']) && $dan_redux_demo['team_banner']['url'] != ''){?>
    <section class="ready banner-padding bg-img" data-overlay-dark="7" data-background="<?php echo esc_url($dan_redux_demo['team_banner']['url']);?>">
      <?php }else{?>  
    <section class="ready banner-padding bg-img" data-overlay-dark="7" data-background="<?php echo get_template_directory_uri();?>/assets/img/slider/6.jpg">
    <?php } ?>
        <div class="container">
            <div class="row">
                <div class="col-md-12 mt-30 text-center">
                    <div class="title"> <span><a href="#0">
                        <?php if(isset($dan_redux_demo['team_meta']) && $dan_redux_demo['team_meta'] != ''){?>
                                <?php echo htmlspecialchars_decode(esc_attr($dan_redux_demo['team_meta']));?>
                            <?php }else{?>
                                <?php echo esc_html__( 'Photographer', 'dan' );
                            }
                            ?></a></span>
                        <h2><?php if(isset($dan_redux_demo['team_heading']) && $dan_redux_demo['team_heading'] != ''){?>
                                <?php echo htmlspecialchars_decode(esc_attr($dan_redux_demo['team_heading']));?>
                            <?php }else{?>
                                <?php echo esc_html__( 'Awesome Team', 'dan' );
                            }
                            ?></h2>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- hr line -->
    <hr class="line-vr-section">
    <!-- Team Details -->
    <section class="team-details section-padding">
        <div class="container">
            <div class="row">
                <div class="col-md-12 mb-60">
                    <div class="content">
                        <div class="row">
                            <div class="col-md-5 img-grayscale"> 
                                <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" class="img-fluid" alt=""> 
                            </div>
                            <div class="col-md-7">
                                <div class="text-content v-middle">
                                    <h3><?php the_title();?></h3>
                                    <?php if($team_job != ''){?>
                                    <p><?php echo esc_attr($team_job); ?></p>
                                    <?php }?>
                                    <?php the_content(); ?>
                                    <?php wp_link_pages(); ?>
                                    <ul class="social-icons square">
                                        <?php if($facebook_link != ''){?>
                                            <li> <a href="<?php echo esc_url($facebook_link); ?>"><i class="ti-facebook"></i></a> </li>
                                        <?php }?>
                                        <?php if($twitter_link != ''){?>
                                            <li> <a href="<?php echo esc_url($twitter_link); ?>"><i class="ti-twitter"></i></a> </li>
                                        <?php }?>
                                        <?php if($linkedin_link != ''){?>
                                            <li> <a href="<?php echo esc_url($linkedin_link); ?>"><i class="ti-linkedin"></i></a> </li>
                                        <?php }?>
                                        <?php if($pinterest_link != ''){?>
                                            <li> <a href="<?php echo esc_url($pinterest_link); ?>"><i class="ti-pinterest"></i></a> </li>
                                        <?php }?>
                                    </ul>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <?php if($team_history != ''){?>
            <div class="row mb-60">
                <?php echo htmlspecialchars_decode(esc_attr($team_history));?>
            </div>
            <?php }?>
        </div>
    </section>

<?php endwhile; ?>
    <!-- hr line -->
    <hr class="line-vr-section">
    <!-- Our Team -->
    <section id="team" class="team section-padding bg-grey" data-scroll-index="5">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="title mb-30"> <span>Other Members</span>
                        <h2>Awesome Team</h2>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12 owl-carousel owl-theme">
                    <?php 

                    $args = array(   

                        'post_type' => 'team',   

                        'paged' => $paged,

                        'posts_per_page' => 3,

                        'order' => 'ASC',

                        'orderby' => 'date', 

                    );  

                    $wp_query = new WP_Query($args);

                    while ($wp_query -> have_posts()) : $wp_query -> the_post();

                        $team_job = get_post_meta(get_the_ID(),'_cmb_team_job', true);
                        $team_mail = get_post_meta(get_the_ID(),'_cmb_team_mail', true);
                        $facebook_link = get_post_meta(get_the_ID(),'_cmb_facebook_link', true);
                        $twitter_link = get_post_meta(get_the_ID(),'_cmb_twitter_link', true);
                        $linkedin_link = get_post_meta(get_the_ID(),'_cmb_linkedin_link', true);

                        ?>
                    <div class="item">
                        <div class="img img-grayscale item-inner"><a href="<?php the_permalink();?>"><img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt=""></a></div>
                        <div class="info">
                            <h5><?php the_title();?></h5>
                            <?php if($team_job != ''){?>
                            <h6><?php echo esc_attr($team_job); ?></h6>
                            <?php }?>
                            <div class="social valign">
                                <div class="full-width"> 
                                    <?php if($facebook_link != ''){?>
                                        <a href="<?php echo esc_url($facebook_link); ?>"><i class="ti-facebook"></i></a>
                                    <?php }?>
                                    <?php if($twitter_link != ''){?>
                                        <a href="<?php echo esc_url($twitter_link); ?>"><i class="ti-twitter"></i></a>
                                    <?php }?>
                                    <?php if($linkedin_link != ''){?>
                                        <a href="<?php echo esc_url($linkedin_link); ?>"><i class="ti-linkedin"></i></a>
                                    <?php }?>
                                    <?php if($team_mail != ''){?>
                                    <p><?php echo esc_url($team_mail); ?></p>
                                    <?php }?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php endwhile; ?>
                </div>
            </div>
        </div>
    </section>


<?php

get_footer();

?>