<?php
/**
 * The Template for displaying all single posts
 */
$dan_redux_demo = get_option('redux_demo');
get_header('page'); ?>

<?php 
while (have_posts()): the_post();
    $single_meta = get_post_meta(get_the_ID(),'_cmb_single_meta', true);
    $banner_image = get_post_meta(get_the_ID(),'_cmb_banner_image', true);
    ?>

<?php if(isset($banner_image) && $banner_image != ''){?>
<section class="ready banner-padding bg-img" data-overlay-dark="7" data-background="<?php echo wp_get_attachment_url($banner_image);?>">
    <?php }else{?>
<section class="ready banner-padding bg-img" data-overlay-dark="7" data-background="<?php echo get_template_directory_uri();?>/assets/img/services/13.jpg">
    <?php } ?>
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="text-center">
                        <div class="title animate-box" data-animate-effect="fadeInUp">
                            <h2><?php the_title();?></h2> 
                            <span><a href="<?php echo esc_url(home_url('/')); ?>?page_id=27"><?php if(isset($dan_redux_demo['blog_posts_meta']) && $dan_redux_demo['blog_posts_meta'] != ''){?>
                        <?php echo htmlspecialchars_decode(esc_attr($dan_redux_demo['blog_posts_meta']));?>
                    <?php }else{?>
                        <?php echo esc_html__( 'Blog', 'dan' );
                    }
                    ?></a> - <a><?php the_time(get_option( 'date_format' ));?></a></span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <hr class="line-vr-section animate-box" data-animate-effect="fadeInUp">
    <!-- Post Content -->
    <section class="section-padding post-page">
        <div class="container">
            <div class="row">
                <div class="col-md-10 offset-md-1 mb-30">
                    <div class="post-cont"> 
                        <?php the_content(); ?>
                        <?php wp_link_pages(); ?>
                    </div>
                    
                </div>
            </div>
            <!-- Comments -->
            <?php comments_template();?>
        </div>
    </section>
    <!-- Prev-Next Post -->
    <section class="post-prev-next">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <div class="d-sm-flex align-items-center justify-content-between">
                            <div class="post-prev-next-left">
                                <?php previous_post_link(); ?>
                            </div>
                            <div class="post-prev-next-right"> <?php next_post_link(); ?> </div>
                        </div>
                    </div>
                </div>
            </div>
    </section>

<?php endwhile; ?>
<?php
get_footer();
?>