<?php

// register post type Portfolio



add_action( 'init', 'register_dan_Service' );

function register_dan_Service() {

    

    $labels = array( 

        'name' => __( 'Service', 'dan' ),

        'singular_name' => __( 'Service', 'dan' ),

        'add_new' => __( 'Add New Service', 'dan' ),

        'add_new_item' => __( 'Add New Service', 'dan' ),

        'edit_item' => __( 'Edit Service', 'dan' ),

        'new_item' => __( 'New Service', 'dan' ),

        'view_item' => __( 'View Service', 'dan' ),

        'search_items' => __( 'Search Service', 'dan' ),

        'not_found' => __( 'No Service found', 'dan' ),

        'not_found_in_trash' => __( 'No Service found in Trash', 'dan' ),

        'parent_item_colon' => __( 'Parent Service:', 'dan' ),

        'menu_name' => __( 'Service', 'dan' ),

    );



    $args = array( 

        'labels' => $labels,

        'hierarchical' => true,

        'description' => 'List Service',

        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),

        'taxonomies' => array( 'Service', 'type' ),

        'public' => true,

        'show_ui' => true,

        'show_in_menu' => true,

        'menu_position' => 5,

        'menu_icon' => 'dashicons-hammer', 

        'show_in_nav_menus' => true,

        'publicly_queryable' => true,

        'exclude_from_search' => false,

        'has_archive' => true,

        'query_var' => true,

        'can_export' => true,

        'rewrite' => true,

        'capability_style' => 'post'

    );



    register_post_type( 'Service', $args );

}

add_action( 'init', 'create_ServiceType_hierarchical_taxonomy', 0 );



//create a custom taxonomy name it Skillss for your posts



function create_ServiceType_hierarchical_taxonomy() {



// Add new taxonomy, make it hierarchical like Skills

//first do the translations part for GUI



  $labels = array(

    'name' => __( 'Type', 'dan' ),

    'singular_name' => __( 'Type', 'dan' ),

    'search_items' =>  __( 'Search Type','dan' ),

    'all_items' => __( 'All Type','dan' ),

    'parent_item' => __( 'Parent Type','dan' ),

    'parent_item_colon' => __( 'Parent Type:','dan' ),

    'edit_item' => __( 'Edit Type','dan' ), 

    'update_item' => __( 'Update Type','dan' ),

    'add_new_item' => __( 'Add New Type','dan' ),

    'new_item_name' => __( 'New Type Name','dan' ),

    'menu_name' => __( 'Type','dan' ),

  );     



// Now register the taxonomy



  register_taxonomy('type',array('Service',), array(

    'hierarchical' => true,

    'labels' => $labels,

    'show_ui' => true,

    'show_admin_column' => true,

    'query_var' => true,

    'rewrite' => array( 'slug' => 'type' ),

  ));





}



add_action( 'init', 'register_dan_Team' );
function register_dan_Team() {
    
    $labels = array( 
        'name' => __( 'Team', 'dan' ),
        'singular_name' => __( 'Team', 'dan' ),
        'add_new' => __( 'Add New Team', 'dan' ),
        'add_new_item' => __( 'Add New Team', 'dan' ),
        'edit_item' => __( 'Edit Team', 'dan' ),
        'new_item' => __( 'New Team', 'dan' ),
        'view_item' => __( 'View Team', 'dan' ),
        'search_items' => __( 'Search Team', 'dan' ),
        'not_found' => __( 'No Team found', 'dan' ),
        'not_found_in_trash' => __( 'No Team found in Trash', 'dan' ),
        'parent_item_colon' => __( 'Parent Team:', 'dan' ),
        'menu_name' => __( 'Team', 'dan' ),
    );

    $args = array( 
        'labels' => $labels,
        'hierarchical' => true,
        'description' => 'List Team',
        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),
        'taxonomies' => array( 'Team', 'type1' ),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 5,
        'menu_icon' => 'dashicons-groups', 
        'show_in_nav_menus' => true,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => true,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => true,
        'capability_style' => 'post'
    );

    register_post_type( 'Team', $args );
}
add_action( 'init', 'create_TeamType_hierarchical_taxonomy', 0 );

//create a custom taxonomy name it Skillss for your posts

function create_TeamType_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

  $labels = array(
    'name' => __( 'Type', 'dan' ),
    'singular_name' => __( 'Type', 'dan' ),
    'search_items' =>  __( 'Search Type','dan' ),
    'all_items' => __( 'All Type','dan' ),
    'parent_item' => __( 'Parent Type','dan' ),
    'parent_item_colon' => __( 'Parent Type:','dan' ),
    'edit_item' => __( 'Edit Type','dan' ), 
    'update_item' => __( 'Update Type','dan' ),
    'add_new_item' => __( 'Add New Type','dan' ),
    'new_item_name' => __( 'New Type Name','dan' ),
    'menu_name' => __( 'Type','dan' ),
  );     

// Now register the taxonomy

  register_taxonomy('type1',array('Team',), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'type1' ),
  ));


}